My Project: dgAmpAllocator< T > Class Template Reference

My Project

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
dgAmpAllocator< T > Class Template Reference

`#include <dgAmpAllocator.h>`

Inheritance diagram for dgAmpAllocator< T >:

## Classes

struct | rebind

## Public Types

typedef size_t | size_type
typedef T * | pointer
typedef const T * | const_pointer

## Public Member Functions

pointer | allocate (size_type n, const void *hint=0)
void | deallocate (pointer p, size_type n)
| dgAmpAllocator (dgMemoryAllocator *const allocator) throw ()
| dgAmpAllocator () throw ()
| dgAmpAllocator (const dgAmpAllocator &a) throw ()
template<class U >
| dgAmpAllocator (const dgAmpAllocator< U > &a) throw ()
| ~dgAmpAllocator () throw ()

## Public Attributes

dgMemoryAllocator * | m_allocator

## Member Typedef Documentation

## § const_pointer

template<typename T>

typedef const T* dgAmpAllocator< T >::const_pointer

## § pointer

template<typename T>

typedef T* dgAmpAllocator< T >::pointer

## § size_type

template<typename T>

typedef size_t dgAmpAllocator< T >::size_type

## Constructor & Destructor Documentation

## § dgAmpAllocator() [1/4]

template<typename T>

dgAmpAllocator< T >::dgAmpAllocator | ( | dgMemoryAllocator *const | allocator | ) |
throw | ( |
| ) |  |

inline

## § dgAmpAllocator() [2/4]

template<typename T>

dgAmpAllocator< T >::dgAmpAllocator | ( |  | ) |
throw | ( |
| ) |  |

inline

## § dgAmpAllocator() [3/4]

template<typename T>

dgAmpAllocator< T >::dgAmpAllocator | ( | const dgAmpAllocator< T > & | a | ) |
throw | ( |
| ) |  |

inline

## § dgAmpAllocator() [4/4]

template<typename T>
template<class U >

dgAmpAllocator< T >::dgAmpAllocator | ( | const dgAmpAllocator< U > & | a | ) |
throw | ( |
| ) |  |

inline

## § ~dgAmpAllocator()

template<typename T>

dgAmpAllocator< T >::~dgAmpAllocator | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## § allocate()

template<typename T>

pointer dgAmpAllocator< T >::allocate | ( | size_type | n,
|  | const void * | hint = `0`
| ) |  |

inline

## § deallocate()

template<typename T>

void dgAmpAllocator< T >::deallocate | ( | pointer | p,
|  | size_type | n
| ) |  |

inline

## Member Data Documentation

## § m_allocator

template<typename T>

dgMemoryAllocator* dgAmpAllocator< T >::m_allocator

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpAllocator.h